Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 812002 - Document usage of jboss.as.jpa.managed property for Spring users
Summary: Document usage of jboss.as.jpa.managed property for Spring users
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: doc-Spring-Developer-Guide
Version: 2.0.0.ER3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 2.3.0
Assignee: Tejas Mehta
QA Contact: Tomas Repel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-12 13:56 UTC by Karel Piwko
Modified: 2013-08-12 01:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-23 03:42:51 UTC
Type: Task


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker WFK2-81 0 Minor Closed Document usage of jboss.as.jpa.managed property for Spring users 2017-06-27 10:00:38 UTC

Description Karel Piwko 2012-04-12 13:56:00 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Karel Piwko 2012-04-12 13:59:02 UTC
Document a new AS7 feature [1] which allows you to use JPA managed by Spring without moving default persistence.xml file.


https://docs.jboss.org/author/display/AS71/JPA+Reference+Guide

jboss.as.jpa.managed description:

can be set to false to disable container managed JPA access to the persistence unit.  The default is true, which enables container managed JPA access to the persistence unit.  This is typically set to false for Seam 2.x + Spring applications.

Comment 2 Marius Bogoevici 2012-04-12 20:25:52 UTC
Will wait for clarifications on this functionality, as the behaviour WRT this flag does not seem to be final. In the current state, it only solves part of the problem (duplicate deployment), however, the JPA/Hibernate libraries are still included.

Comment 4 Marius Bogoevici 2012-07-10 23:27:12 UTC
I suggest we move this to WFK 2.1 when the functionality will be hopefully 
clarified in EAP6.

Comment 8 Marek Novotny 2013-01-17 14:27:49 UTC
Marius, could you update what we can do with this issue?

Comment 10 Joshua Wilson 2013-07-23 03:42:51 UTC
Migrated to JIRA. https://issues.jboss.org/browse/WFK2-81


Note You need to log in before you can comment on or make changes to this bug.